Bug 918129 - Review Request: asciiquarium - sea animation in ASCII art.
Summary: Review Request: asciiquarium - sea animation in ASCII art.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-05 14:47 UTC by Jakub Ruzicka
Modified: 2013-04-20 19:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:26:27 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jakub Ruzicka 2013-03-05 14:47:29 UTC
Spec URL: http://srck.cz/pkg/asciiquarium/asciiquarium.spec
SRPM URL: http://srck.cz/pkg/asciiquarium/asciiquarium-1.0-1.fc18.src.rpm
Description: Enjoy the mysteries of the sea from the safety of your terminal!
Fedora Account System Username: jruzicka

Comment 1 Jakub Ruzicka 2013-03-05 14:54:05 UTC
This is my first package and I'm looking for a sponsor.

Comment 2 Fabian Affolter 2013-03-05 16:22:07 UTC
Just some quick comments:

- License is GPLv2+. Source header says: "either version 2 of the License, or (at your option) any later version."
- The 'Summary' should not have a period at the end.
- There is no need for cleaning the buildroot on current Fedora releases. %clean section and %defattr are no longer needed. Only if your package will go to EPEL5.
  https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
  https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
  https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Comment 3 Jakub Ruzicka 2013-03-05 17:12:29 UTC
Thanks for the tips, I've updated the spec file and the source package.

Comment 4 Matthias Runge 2013-03-06 12:09:17 UTC
I'll do a review

Comment 5 Matthias Runge 2013-03-06 12:15:14 UTC
Jakub, when updating the spec, please don't forget to
- upload the new spec + srpm
- post the changed links

more minor nitpicking:
- a "-" (dash) is missing between .com> and 1.0 and also the release version is missing: redhat.com> - 1.0-1

Comment 7 Matthias Runge 2013-03-06 12:51:00 UTC
still the revision in changelog is missing

the same applies to the changelog entry for the version 1.0-2

Is upstream still alive? (Seriously!) Please request upstream to update the address of fsf.

Rpmlint (installed packages)
----------------------------
# rpmlint asciiquarium
asciiquarium.noarch: W: incoherent-version-in-changelog 1.0 ['1.0-2.fc19', '1.0-2']
asciiquarium.noarch: E: incorrect-fsf-address /usr/share/doc/asciiquarium-1.0/gpl.txt
asciiquarium.noarch: W: no-manual-page-for-binary asciiquarium
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Comment 8 Petr Šabata 2013-03-06 13:22:18 UTC
Please, use perl()-style notation for perl dependencies, e.g. you probably want the Term::Animation module, therefore require perl(Term::Animation) instead of perl-Term-Animation.

Comment 9 Petr Šabata 2013-03-06 13:25:53 UTC
In this case, RPM detects all perl runtime dependencies correctly.  You don't have to specify any explicitly.

Comment 10 Jakub Ruzicka 2013-03-07 10:22:26 UTC
I've contacted upstream with request to update gpl.txt.

If it gets done, I'll also update the .spec according to your comments (changelog version and remove unneeded dependency).

Comment 11 Alan Pevec 2013-03-07 14:30:20 UTC
(In reply to comment #5)
> - a "-" (dash) is missing between .com> and 1.0

It can be with or without dash between email and V-R:
http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Comment 12 Jakub Ruzicka 2013-03-07 15:43:24 UTC
Upstream responded and is going to fix. As soon as it happens, I'll post the new version.

Comment 13 Matthias Runge 2013-03-07 16:25:24 UTC
(In reply to comment #12)
> Upstream responded and is going to fix. As soon as it happens, I'll post the
> new version.

Great to hear!

Comment 14 Jakub Ruzicka 2013-03-11 11:37:20 UTC
Updated version 1.1:
Spec URL: http://srck.cz/pkg/asciiquarium/asciiquarium.spec
SRPM URL: http://srck.cz/pkg/asciiquarium/asciiquarium-1.1-1.fc18.src.rpm

Chagnelog:
- Updated to new version 1.1 with updated gpl.txt.
- Improved summary.

Comment 15 Rex Dieter 2013-03-11 11:45:51 UTC
Matthias, please set the "review" flag to ?

Comment 16 Matthias Runge 2013-03-14 10:50:30 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- License field in the package spec file matches the actual license.
  Note: Checking patched sources after %prep for licenses. No licenses found.
  Please check the source files for licenses manually.
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: asciiquarium-1.1-1.fc19.noarch.rpm
asciiquarium.noarch: W: no-manual-page-for-binary asciiquarium
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
asciiquarium (rpmlib, GLIBC filtered):
    /usr/bin/env
    perl(Curses)
    perl(Data::Dumper)
    perl(Term::Animation)
    perl(Term::Animation::Entity)
    perl(strict)
    perl(warnings)



Provides
--------
asciiquarium:
    asciiquarium



MD5-sum check
-------------
http://www.robobunny.com/projects/asciiquarium/asciiquarium_1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1b08c6613525e75e87546f4e8984ab3b33f1e922080268c749f1777d56c9d361
  CHECKSUM(SHA256) upstream package : 1b08c6613525e75e87546f4e8984ab3b33f1e922080268c749f1777d56c9d361


Great, package APPROVED.

Jakub, since I sponsored you already for crudini, I'm lifting here the NEED-SPONSOR as well.

Comment 17 Jakub Ruzicka 2013-03-14 13:59:06 UTC
New Package SCM Request
=======================
Package Name: asciiquarium
Short Description: ASCII art aquarium/sea animation
Owners: jruzicka
Branches: f17 f18 el6

Comment 18 Gwyn Ciesla 2013-03-14 14:02:47 UTC
Git done (by process-git-requests).

Mattias, please set review flag.

Comment 19 Fedora Update System 2013-04-08 14:49:53 UTC
asciiquarium-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/asciiquarium-1.1-1.fc19

Comment 20 Fedora Update System 2013-04-08 14:50:06 UTC
asciiquarium-1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/asciiquarium-1.1-1.fc17

Comment 21 Fedora Update System 2013-04-08 14:50:21 UTC
asciiquarium-1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/asciiquarium-1.1-1.el6

Comment 22 Fedora Update System 2013-04-08 14:50:38 UTC
asciiquarium-1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/asciiquarium-1.1-1.fc18

Comment 23 Fedora Update System 2013-04-08 15:47:34 UTC
asciiquarium-1.1-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 24 Fedora Update System 2013-04-18 02:26:29 UTC
asciiquarium-1.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 25 Fedora Update System 2013-04-18 02:54:21 UTC
asciiquarium-1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 26 Fedora Update System 2013-04-20 19:53:05 UTC
asciiquarium-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.